org.codehaus.plexus.metadata

## Interface ComponentDescriptorExtractor

All Known Implementing Classes:
  ClassComponentDescriptorExtractor, ComponentDescriptorExtractorSupport, SourceComponentDescriptorExtractor

    public interface ComponentDescriptorExtractor

An abstraction to allow pluggable `ComponentDescriptor` extraction to be dropped.

Version:
  $Id: ComponentDescriptorExtractor.java 7966 2008-12-25 15:25:22Z bentmann $

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`java.util.List<ComponentDescriptor<?>>` `extract(MetadataGenerationRequest configuration, ComponentDescriptor<?>[] roleDefaults)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### extract

    java.util.List<ComponentDescriptor<?>> extract(MetadataGenerationRequest configuration,
                                                 ComponentDescriptor<?>[] roleDefaults)
                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`